<?php

function enviarMensajeTelegram($chatId, $mensaje, $token) {
    $url = "https://api.telegram.org/bot" . $token . "/sendMessage";
    $data = array(
        'chat_id' => $chatId,
        'text' => $mensaje
    );

    // Inicializa cURL
    $ch = curl_init($url);
    
    // Configura las opciones de cURL
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);  // Retorna la respuesta como cadena
    curl_setopt($ch, CURLOPT_POST, true);            // Establece el método como POST
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/x-www-form-urlencoded')); // Tipo de contenido
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data)); // Datos a enviar

    // Ejecuta la solicitud y obtiene la respuesta
    $result = curl_exec($ch);

    // Verifica si hubo un error
    if ($result === false) {
        curl_close($ch);
        // Error al enviar el mensaje
        return false;
    }

    // Cierra la sesión de cURL
    curl_close($ch);

    // El mensaje se envió correctamente
    return true;
}

?>